1.0

1.0

put /v1/cdns/{id}

Description

update cdn service

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
cdn service id
Example :
stringNone
bodybody
required

CdnServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "cache_expiry_time": "",
    "cache_key_hostname": "REQUEST_HOST_HEADER",
    "caching_option": "",
    "cdn_origin_hostname": "test.example.com",
    "cdn_origin_port": "",
    "cdn_origin_protocol": "",
    "cdn_service_origin_path": "/test/global/",
    "content_policy": "",
    "custom_forward_host_header": "",
    "forward_host_header": "REQUEST_HOST_HEADER",
    "origin_hostname_type": "DOMAIN",
    "query_string_ignored": "",
    "range_request_allowed": "",
    "request_custom_headers": "",
    "response_custom_headers": ""
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}